<?php
/*************************** Version 1e 20160818 **************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
} ?>
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
  <title>Composite GOES Animation</title>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
  <script type="text/javascript" src="./HAniS/hanis_min.js"> </script>
<?php
$autoUpdate = true; // 'false' suppresses <iframe> debugging countdown timer ONLY when 'wsseccomposite-iframe.php'
                     // is run alone.  '$autoUpdate' for the entire script is set in 'wsseccomposite.php'
										 // and the counters are hidden when this script is run by the main script.
if (isset($_GET['autoUpdate'])) {
  $autoUpdate = $_GET['autoUpdate'];
}
if ($autoUpdate) { ?>
  <script type="text/javascript">
  function ReloadPage() {
    location.reload();
  };
  function zuluTimer() {
    var d = new Date(); // Initialize variables
    var n = ((d.getMinutes()+4)%60); // Reload at 26 past and 56 past the hour
  	var sec = 60-d.getSeconds();
    var count=((30-(n%30))*60)+sec; // minutes * seconds + offset
	  var countSince = ((30*60)-count);
    var counter=setInterval(timer, 1000); //1000 will  run it every 1 second
    function timer() {
      count=count-1;
		  cmuntil = Math.floor(count/60);
		  csuntil = count-(cmuntil*60);
		  countSince=countSince+1;
		  cmsince = Math.floor(countSince/60);
		  cssince = countSince-(cmsince*60);
      if (count <= 0) {
        clearInterval(counter);
			  ReloadPage();
      } // Place .getElementByID's here to refresh every second
      document.getElementById("theTimer").innerHTML=(cmuntil>0?(cmuntil+" Minute"+(cmuntil!=1?"s":"")):"")+((cmuntil>0&&csuntil>0)?" and ":"")+(csuntil>0?(csuntil+" Second"+(csuntil!=1?"s":"")):""); 
      document.getElementById("countSince").innerHTML=(cmsince>0?(cmsince+" Minute"+(cmsince!=1?"s":"")):"")+((cmsince>0&&cssince>0)?" and ":"")+(cssince>0?(cssince+" Second"+(cssince!=1?"s":"")):""); 
    } // Place .getElementbyID here to refresh every minute
  } zuluTimer(); // Initiate timer 
  </script>
<?php } ?>
  </head>
	<?php
	if (!isset($imageWidth)&&!isset($_SESSION['CSSwidescreen'])) { // Set defaults for debugging when called alone
		$imageWidth = 800; // Width of radar images
		$iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
		$iframeHeight = (($iframeWidth*.75)); // Default IFrame Height -- adjust as needed
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 8; // Number of images to display - between 3 and the number of images you are uploading
	}
  if (isset($_GET['imageWidth'])) {
    $imageWidth = $_GET['imageWidth'];
  }
  if (isset($_GET['iframeHeight'])) {
    $iframeHeight = $_GET['iframeHeight'];
  }
  if (isset($_GET['bgndColor'])) {
    $bgndColor = $_GET['bgndColor'];
  }
  if (isset($_GET['btnColor'])) {
    $btnColor = $_GET['btnColor'];
  }
  if (isset($_GET['btnTextColor'])) {
    $btnTextColor = $_GET['btnTextColor'];
  }
  if (isset($_GET['animRate'])) {
    $animRate = $_GET['animRate'];
  }
  if (isset($_GET['pauseSeconds'])) {
    $pauseSeconds = $_GET['pauseSeconds'];
  }
  if (isset($_GET['numbImages'])) {
    $numbImages = $_GET['numbImages'];
  }
	if (isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']) {
		$imageWidth = 800;
		$iframeWidth = $imageWidth;
		$iframeHeight = ($iframeWidth*.75)+30;
	}
	$imageHeight = $imageWidth*.75;
?>
  <body style="width:<?php echo $imageWidth?>px; margin:0px" onload="HAniS.setup(
'filenames = <?php file_name_list($numbImages)?> \n\
controls = startstop, speed, step, looprock, zoom \n\
controls_style = display:flex;flex-flow:row;background-color:<?php echo $bgndColor?>; \n\
speed_labels = Slower, Faster \n\
window_size = <?php echo $imageWidth?>,<?php echo $imageHeight?> \n\
rate = <?php echo $animRate?> \n\
pause = <?php echo ($pauseSeconds*1000)?> \n\
background_static = n \n\
buttons_style = flex:auto;margin:2px;background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>; \n\
bottom_controls = toggle \n\
bottom_controls_tooltip = Toggle frames on/off \n\
toggle_colors = <?php echo $btnColor?>, red, orange \n\
bottom_controls_style = background-color:<?php echo $bgndColor?>;' ,
'handiv')">

  <div id="handiv" style="width:<?php echo $imageWidth?>px;background-color:#808080;">
  </div>
  <?php if ($autoUpdate) { // This is hidden when <iframe> is run by main script.
	?>
    <div style="text-align:center; line-height:100%; color:green">(Last Update <span id="countSince"></span> Ago - Next Update in <span id="theTimer"></span>)</div>
  <?php } ?>
  </body>
 </html>
<?php
############## function ##############
function file_name_list($numbImages) {
	for ($i=0; $i<$numbImages; $i++) {
		$image = 'https://www.ssec.wisc.edu/data/us_comp/image'.$i.'.jpg';
		$image = getUniqueImageURL($image);
		echo $image;
		echo $i<($numbImages-1)?', ':'';
	}
}
function getUniqueImageURL($image_url){
	$timestamp = time();
	if(strpos($image_url, '?')){
		$image_url = str_replace('?', "?$timestamp&", $image_url);
	}
	else{
		$image_url .= "?$timestamp";
	}
	return $image_url;
}
############ end function ############
?>